<?php

namespace backend\models;

use Yii;

/**
 * This is the model class for table "new_options_lang".
 *
 * @property integer $primary
 * @property integer $id
 * @property integer $language_id
 * @property string $value
 */
class NewOptionsLang extends \yii\db\ActiveRecord
{
    const SCENARIO_ADD = 'add';
    const SCENARIO_UPDATE = 'update';
    
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'new_options_lang';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id', 'value'], 'required'],
            [['id', 'language_id'], 'integer'],
            [['value'], 'string']
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'primary' => Yii::t('app', 'Primary'),
            'id' => Yii::t('app', 'ID'),
            'language_id' => Yii::t('app', 'Lang ID'),
            'value' => Yii::t('app', 'Value'),
        ];
    }
}
